'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _orderBy2 = require('lodash/orderBy');

var _orderBy3 = _interopRequireDefault(_orderBy2);

var _redux = require('redux');

var _sortabular = require('sortabular');

var _pack = require('./pack');

var _pack2 = _interopRequireDefault(_pack);

var _unpack = require('./unpack');

var _unpack2 = _interopRequireDefault(_unpack);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function sortTree() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      columns = _ref.columns,
      idField = _ref.idField,
      sortingColumns = _ref.sortingColumns,
      strategy = _ref.strategy;

  return (0, _redux.compose)((0, _unpack2.default)({
    idField: idField
  }), (0, _sortabular.sorter)({
    columns: columns,
    sortingColumns: sortingColumns,
    sort: _orderBy3.default,
    strategy: strategy
  }), (0, _pack2.default)({
    idField: idField
  }));
}

exports.default = sortTree;